Subject: [JAGNUTS] JONAT '06

From: "Bob England - Mechanical Design Group" <[email-masked]>
Date: Wed, 7 Jun 2006 14:19:09 -0600

For those of you dithering about getting in your application for JONAT, if
you want to be assured of getting a grille badge and/or binder, best to get
your application in today as they are being sent out from Arizona in short
order.  (They will be delivered by Ian when you meet up with the Tour).

Bob England